/*
 * Copyright 2017-2020, Schlumberger
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.opengroup.osdu.register.util;

public class Config {
    public String HostUrl;
    public String securePushUrl;
    public String PushUrl;
    public String OsduTenant;
    public String subscriptionId;
    public String ClientTenant;
    public String SUBSCRIBER_SECRET = System.getProperty("SUBSCRIBER_SECRET", System.getenv("SUBSCRIBER_SECRET"));
    private static Config config = new Config();

    public static Config Instance() {
        String env = System.getProperty("ENVIRONMENT", System.getenv("ENVIRONMENT"));
        config.ClientTenant = "nonexistenttenant";
        config.OsduTenant = "opendes";

        if (env.equalsIgnoreCase("LOCAL")) {
            config.HostUrl = System.getProperty("REGISTER_BASE_URL", System.getenv("REGISTER_BASE_URL"));
            config.securePushUrl = "https://localhost:8080/";
            config.subscriptionId = System.getProperty("TEST_SUBSCRIPTION_ID", System.getenv("TEST_SUBSCRIPTION_ID"));
            config.PushUrl = config.HostUrl;
        } else if (env.equalsIgnoreCase("DEV")) {
            config.subscriptionId = "cmVjb3Jkcy1jaGFuZ2VkaHR0cHM6Ly9vcy1yZWdpc3Rlci1kb3Qtb3BlbmRlcy5hcHBzcG90LmNvbS9hcGkvcmVnaXN0ZXIvdjEvdGVzdC9jaGFsbGVuZ2UvMQ==";
            config.HostUrl = System.getProperty("REGISTER_BASE_URL", System.getenv("REGISTER_BASE_URL"));
            config.securePushUrl = config.HostUrl;
            config.PushUrl = config.HostUrl;
        }
        return config;
    }

    public boolean isLocalHost() {
        return HostUrl.contains("//localhost");
    }
}
